//go:build !fasthttp

package html

import (
	"bytes"
	"io"
	"net/http"
)

// ReturnErrorPage sets the response status code and writes NotFoundPage to the response body, with "%status" replaced
// with the provided status code.
func ReturnErrorPage(resp *http.Response, code int) {
	resp.StatusCode = code
	resp.Header.Set("Content-Type", "text/html; charset=utf-8")

	resp.Body = io.NopCloser(bytes.NewReader(errorBody(code)))
}
